> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Find exchange-traded funds through a comprehensive search. Search by name, ticker, or description and filter by country to discover relevant ETFs for your investment research.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/etfs
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/etfs:
    post:
      tags:
        - ETFs
      summary: Find by details
      description: >-
        Find exchange-traded funds through a comprehensive search. Search by
        name, ticker, or description and filter by country to discover relevant
        ETFs for your investment research.
      operationId: findETFs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindETFsRequest'
      responses:
        '200':
          description: Successful response with ETF data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ETF'
components:
  schemas:
    FindETFsRequest:
      type: object
      properties:
        query:
          type: string
          description: >-
            Text query to search for ETFs by name, ticker, or description.
            Examples: 'Gold', 'SPDR', 'Vanguard'
          example: Gold
        countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
          description: >-
            Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United
            States, 'FR' for France, 'GB' for Great Britain)
          example:
            - US
      description: >-
        Request body for finding ETFs. Each field is optional. However, you must
        provide at least one field to perform a valid search.
      example:
        query: Gold
        countries:
          - US
    ETF:
      type: object
      properties:
        id:
          type: string
          description: Unique ETF identifier in the Knowledge Graph
          example: 36CEB2
        name:
          type: string
          description: ETF name
          example: Grayscale Bitcoin Trust ETF
        description:
          type: string
          description: ETF description and overview
          example: >-
            Grayscale Bitcoin Trust ETF, formerly Grayscale Bitcoin Trust (BTC),
            is an open-ended trust that is invested exclusively in bitcoin. The
            trust was founded on September 13, 2013.
        country:
          type: string
          pattern: ^[A-Z]{2}$
          description: Country code (ISO 3166-1 alpha-2)
          example: US
        sector:
          type: string
          description: ETF sector classification
          example: Financials
        industry_group:
          type: string
          description: Industry group classification
          example: Nonequity Investment Instruments
        industry:
          type: string
          description: Specific industry classification
          example: Nonequity Investment Instruments
        webpage:
          type: string
          format: uri
          description: ETF website URL
          example: http://grayscale.com/products/grayscale-bitcoin-trust/
        favicon:
          type: string
          format: uri
          description: ETF favicon URL
          example: https://www.globalxetfs.com.au/favicon.ico
        isin_values:
          type: array
          items:
            type: string
          description: International Securities Identification Numbers
          example:
            - US3896371099
        cusip_values:
          type: array
          items:
            type: string
          description: Committee on Uniform Securities Identification Procedures numbers
          example:
            - '389637109'
        sedol_values:
          type: array
          items:
            type: string
          description: Stock Exchange Daily Official List numbers
          example:
            - '6605528'
        listing_values:
          type: array
          items:
            type: string
          description: Exchange listing identifiers
          example:
            - OTCM:GBTC
        ticker:
          type: string
          description: Primary ticker symbol
          example: GBTC
      required:
        - id
        - name
        - country
        - ticker
      description: ETF entity with detailed information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````